/// <reference types="node" />
import { EventEmitter } from 'events';
import { CodeReaderEvents } from './CodeReaderEvents';
import { CodeReaderIpcClient } from './CodeReaderIpcClient';
import { ICodeReader } from './ICodeReader';
export declare abstract class CodeReader implements ICodeReader {
    enabled: boolean;
    lastScan: Date;
    readonly readerName: string;
    protected ipcClient: CodeReaderIpcClient;
    protected readonly events: EventEmitter;
    constructor(readerName: string);
    abstract initialize(): void;
    start(): void;
    stop(): void;
    on(event: CodeReaderEvents, listener: (code: string) => void): void;
    off(event: CodeReaderEvents, listener: (code: string) => void): void;
    protected onCode(code: string): void;
}
